import Vue from 'vue'
import Router from 'vue-router'

Vue.use(Router)

let routes = [
  {
    path:'/me',
    name:'me',
    component: () => import('@/view/me/index.vue'),
    meta: {
      title: '我的'
    },
    redirect:'/me/info',
    children:[
      {
        path:'/me/info',
        name:'我的信息',
        component: () => import('@/view/me/info.vue'),
        meta: {
          title: '我的信息'
        }
      },
      {
        path:'/me/help',
        name:'帮助',
        component: () => import('@/view/me/help.vue'),
        meta: {
          title: '帮助'
        }
      }
    ]
  },
  {
    name:'main',
    component: () => import('@/view/main.vue'),
    path:'/chart',
    children:[
      {
        path:'/sales',
        name:'chartMmcolorsale',
        component:()=> import('@/view/chart/sales/index.vue'),
        meta:{
          title: '图表'
        }
      },
      {
        path:'/salesDetail',
        name:'chartMmcolorsaleDetail',
        component:()=> import('@/view/chart/sales/detail.vue'),
        meta:{
          title: '图表'
        }
      },
      {
        path:'/custom',
        name:'chartCustom',
        component:()=> import('@/view/chart/custom/index.vue'),
        meta:{
          title: '图表'
        }
      },
      {
        path:'/customDetail',
        name:'chartCustomDetail',
        component:()=> import('@/view/chart/custom/detail.vue'),
        meta:{
          title: '图表'
        }
      },
      {
        path:'/income',
        name:'chartIncome',
        component:()=> import('@/view/chart/income/index.vue'),
        meta:{
          title: '图表'
        }
      },
      {
        path:'/salesStatistics',
        name:'chartStatistics',
        component:()=> import('@/view/chart/sales/statistics.vue'),
        meta:{
          title: '销售统计'
        }
      }
    ]
  }
];

export default routes;